## python-peakutils 1.3.3+ds

=== docs/requirements.txt ===
sphinx-better-theme

## python-peakutils 1.3.3%2Bds

=== debian/control ===
Source: python-peakutils
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pandas <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://bitbucket.org/lucashnegri/peakutils
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-peakutils
Vcs-Git: https://salsa.debian.org/python-team/modules/python-peakutils.git

Package: python3-peakutils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: utilities for detecting peaks in 1D data
 PeakUtils provides utilities related to the detection of peaks on 1D data.
 Includes functions to estimate baselines, finding the indexes of peaks in the
 data and performing Gaussian fitting or centroid computation to further
 increase the resolution of the peak detection.

=== debian/watch ===
version=4

# PyPI
opts="repack,repacksuffix=+ds,dversionmangle=s/\+ds$//" \
https://pypi.debian.net/peakutils \
 /PeakUtils/PeakUtils-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-peakutils 1.3.3+ds

=== debian/changelog ===
python-peakutils (1.3.3+ds-2) unstable; urgency=medium

  * Adding build-depends on python3-matplotlib (Closes: #955655).
  * Wrapping and sorting.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Apr 2020 01:48:35 -0400

python-peakutils (1.3.3+ds-1) unstable; urgency=medium

  * New upstream version 1.3.3+ds
  * Dropping no longer needed remove-test_conditioning.patch.

 -- Andrius Merkys <merkys@debian.org>  Thu, 23 Jan 2020 10:27:44 -0500

python-peakutils (1.3.2+ds-2) unstable; urgency=medium

  * Adding autopkgtest.
  * Improving patch description.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Jan 2020 02:27:13 -0500

python-peakutils (1.3.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #949138).

 -- Andrius Merkys <merkys@debian.org>  Fri, 17 Jan 2020 01:51:56 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 12),
  dh-python,
  python3-all,
+ python3-matplotlib <!nocheck>,
  python3-pandas <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
@@ -21,6 +22,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-matplotlib,
 Description: utilities for detecting peaks in 1D data
  PeakUtils provides utilities related to the detection of peaks on 1D data.
  Includes functions to estimate baselines, finding the indexes of peaks in the

=== debian/tests/control ===
Tests: python3
Depends:
 python3-pandas,
 @,
Restrictions: allow-stderr

## python-peakutils 1.3.4%2Bds

=== debian/tests/control ===
Tests: python3
Depends: python3-all, python3-pandas, python3-pytest, @
Restrictions: allow-stderr

## python-peakutils 1.3.4+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PeakUtils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PeakUtils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PeakUtils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PeakUtils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-peakutils (1.3.4+ds-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Mohammed Bilal ]
  * d/{control,rules,t/control} : add b-d on pytest and force
    test to run via pytest other than deprecated
    "python3 setup.py test".
  * d/t/python3: autopkgtests against all supported pyversions
    using pytest

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 04 Dec 2022 13:36:57 +0000

python-peakutils (1.3.4+ds-1) unstable; urgency=medium

  * New upstream version 1.3.4+ds
  * Refresh debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 09 Aug 2022 02:39:04 -0400

python-peakutils (1.3.3+ds-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:16:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: python-peakutils
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-matplotlib <!nocheck>,
  python3-pandas <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://bitbucket.org/lucashnegri/peakutils
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-peakutils
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-peakutils.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-peakutils
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-peakutils.git
 
 Package: python3-peakutils
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=peakutils
export PYBUILD_TEST_ARGS=-v tests/peakutils_test.py


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf PeakUtils.egg-info
